ci: lint YAML and spell check code

This commit is contained in:
Ben Grande 2024-07-08 11:12:38 +02:00
parent ab044c15b1
commit 077b9b4e5e
No known key found for this signature in database
GPG key ID: 00C64E14F51F9E56
11 changed files with 115 additions and 13 deletions

30
scripts/spell-lint.sh Executable file
View file

@ -0,0 +1,30 @@
#!/bin/sh
## SPDX-FileCopyrightText: 2023 - 2024 Benjamin Grande M. S. <ben.grande.b@gmail.com>
##
## SPDX-License-Identifier: AGPL-3.0-or-later
# shellcheck disable=SC2086
set -eu
command -v git >/dev/null || { echo "Missing program: git" >&2; exit 1; }
cd "$(git rev-parse --show-toplevel)" || exit 1
./scripts/requires-program.sh codespell
if test -n "${1-}"; then
files=""
for f in "$@"; do
test -f "$f" || continue
case "$f" in
*LICENSES/*|.git/*|*.asc|rpm_spec/*-*.spec|*.muttrc| \
salt/sys-cacher/files/server/conf/*_mirrors_*|\
salt/dotfiles/files/vim/.config/vim/after/plugin/update-time.vim)
continue;;
*) files="$files $f";;
esac
done
test -n "$files" || exit 0
exec codespell --check-filenames --check-hidden ${files}
fi
exec codespell --check-filenames --check-hidden

28
scripts/yaml-lint.sh Executable file
View file

@ -0,0 +1,28 @@
#!/bin/sh
## SPDX-FileCopyrightText: 2024 Benjamin Grande M. S. <ben.grande.b@gmail.com>
##
## SPDX-License-Identifier: AGPL-3.0-or-later
# shellcheck disable=SC2086
set -eu
command -v git >/dev/null || { echo "Missing program: git" >&2; exit 1; }
cd "$(git rev-parse --show-toplevel)" || exit 1
./scripts/requires-program.sh yamllint
if test -n "${1-}"; then
files=""
for f in "$@"; do
test -f "$f" || continue
extension="${f##*.}"
case "$extension" in
yaml|yml) files="$files $f";;
*) continue;;
esac
done
test -n "$files" || exit 0
exec yamllint ${files}
fi
exec yamllint .